> For the complete documentation index, see [llms.txt](https://docs.ritabot.gg/ritabot-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ritabot.gg/ritabot-docs/version-history/130/v1.3.19.md).

# V1.3.19

Version Changes for 1.3.?-?

{% hint style="info" %}
If you need help at any point join our [**Discord Server**](https://discord.gg/mgNR64R) and someone will help you.
{% endhint %}

## Inital Release

```markdown
No Public Change Log
```

## V-1

{% code overflow="wrap" %}

```markdown
### 1.3.19-1
Date: 3/12/22
User: Qjuh
> ----------
>>> commands.js
* Added some perms in that were missing.

>>> misc.js, stats.js
* Fixed object when no active sub
* now shows bot value

>>> choose_server.js, sub.js
* now saves bot value

>>> check.js
* Fixed error with object missing table

>>> db.js
* Bot value is save in DB with sub

>>> events.js
* client.user.id now stored in config

```

{% endcode %}

## V-2

{% code overflow="wrap" %}

```markdown
### 1.3.19-2
Date: 8/12/22
User: Qjuh
> ----------
>>> translate.tasks.js, slashcommands/.../tasks.js
* Added `/tasks [channelId]` as global command needing ManageChannels permission per default
* Added `/tasks {server|channnel|me} [id]` as support guild only dev-commands needing Administrator permission per default (can be changed in server setttings->integration though)
* Added page number in footer of paginated embeds

>>> db.js
* Simplified getTasks() function used by `!tr tasks` and `/tasks` a bit

>>> slashcommands/.../translate.js, slashcommands/.../group.js, slashcommands/.../check.js
* Minor cleanup

>>> commands.js, permissions.js
* Added a dev-only command to list all commands and their needed permissions
* Added a `plaintext()` function in permissions.js to turn BitField into their readable names again
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ritabot.gg/ritabot-docs/version-history/130/v1.3.19.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
